Update configuration
curl --request PUT \
--url https://api.orbital-systems.com/client/taps/{id}/configuration \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"active_timeout_s": 123,
"default_flow": 123,
"default_temp": 123,
"min_flow": 123,
"min_temp": 123,
"max_flow": 123,
"max_temp": 123,
"theme": 0.5,
"time_zone": "<string>",
"time_zone_name": "<string>",
"units": 0.5,
"wall_clock_enabled": true,
"welcome_message_enabled": true,
"welcome_message": "<string>"
}
'import requests
url = "https://api.orbital-systems.com/client/taps/{id}/configuration"
payload = {
"active_timeout_s": 123,
"default_flow": 123,
"default_temp": 123,
"min_flow": 123,
"min_temp": 123,
"max_flow": 123,
"max_temp": 123,
"theme": 0.5,
"time_zone": "<string>",
"time_zone_name": "<string>",
"units": 0.5,
"wall_clock_enabled": True,
"welcome_message_enabled": True,
"welcome_message": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active_timeout_s: 123,
default_flow: 123,
default_temp: 123,
min_flow: 123,
min_temp: 123,
max_flow: 123,
max_temp: 123,
theme: 0.5,
time_zone: '<string>',
time_zone_name: '<string>',
units: 0.5,
wall_clock_enabled: true,
welcome_message_enabled: true,
welcome_message: '<string>'
})
};
fetch('https://api.orbital-systems.com/client/taps/{id}/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active_timeout_s": 123,
"default_flow": 123,
"default_temp": 123,
"min_flow": 123,
"min_temp": 123,
"max_flow": 123,
"max_temp": 123,
"theme": 123,
"time_zone": "<string>",
"time_zone_name": "<string>",
"units": 123,
"wall_clock_enabled": true,
"welcome_message_enabled": true,
"welcome_message": "<string>"
}{}{}{}Tap configuration.
Update configuration
PUT
/
client
/
taps
/
{id}
/
configuration
Update configuration
Authorizations
Path Parameters
The unique identifier for the tap
Body
application/json
Required range:
0 <= x <= 1Required range:
0 <= x <= 1Response
Configuration updated successfully
⌘I